Home Information Classes Download Usage Mail List Requirements Links Tutorial

# BowTabl Class Reference

STK bowed string table class. More...

`#include <BowTabl.h>`

Inheritance diagram for BowTabl:

List of all members.

## Public Member Functions

| BowTabl ()
| Default constructor.
| ~BowTabl ()
| Class destructor.
void | setOffset (MY_FLOAT aValue)
| Set the table offset value.
void | setSlope (MY_FLOAT aValue)
| Set the table slope value.
MY_FLOAT | lastOut (void) const
| Return the last output value.
MY_FLOAT | tick (const MY_FLOAT input)
| Return the function value for input.
MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Take vectorSize inputs and return the corresponding function values in vector.

## Detailed Description

STK bowed string table class.

This class implements a simple bowed string non-linear function, as described by Smith (1986).

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 17 of file BowTabl.h.

## Member Function Documentation

void BowTabl::setOffset | ( | MY_FLOAT | aValue | ) |

| Set the table offset value. The table offset is a bias which controls the symmetry of the friction. If you want the friction to vary with direction, use a non-zero value for the offset. The default value is zero.

void BowTabl::setSlope | ( | MY_FLOAT | aValue | ) |

| Set the table slope value. The table slope controls the width of the friction pulse, which is related to bow force.

MY_FLOAT BowTabl::tick | ( | const MY_FLOAT | input | ) |

| Return the function value for input. The function input represents differential string-to-bow velocity.

The documentation for this class was generated from the following file:

- BowTabl.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.